Macaulay2 » Documentation
Packages » MatrixSchubert » Investigating ASM varieties » entrywiseMaxRankTable
next | previous | forward | backward | up | index | toc

# entrywiseMaxRankTable -- compute the entrywise maximum rank table of a list of ASMs

- Usage:
    `entrywiseMaxRankTable L`
- Inputs:
  - L, a list, of ASMs of equal size
- Outputs:
  - a matrix,

## Description

Computes the rank tables of a list of ASMs, then returns the entrywise maximum.

    i1 : L = {{4,3,1,2},{2,4,3,1}} / permToMatrix;

    i2 : entrywiseMaxRankTable L

    o2 = | 0 1 1 1 |
         | 0 1 1 2 |
         | 1 1 2 3 |
         | 1 2 3 4 |

                  4       4
    o2 : Matrix ZZ  <-- ZZ

## Ways to use entrywiseMaxRankTable:

- `entrywiseMaxRankTable(List)`

## For the programmer

The object entrywiseMaxRankTable is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MatrixSchubert/MatrixSchubertConstructionsDOC.m2:984:0.